## org.hibernate.ejb.metamodel
Class PluralAttributeImpl<X,C,E>

    java.lang.Object
      org.hibernate.ejb.metamodel.AbstractAttribute<X,C>
          org.hibernate.ejb.metamodel.PluralAttributeImpl<X,C,E>

All Implemented Interfaces:
  Serializable, javax.persistence.metamodel.Attribute<X,C>, javax.persistence.metamodel.Bindable<E>, javax.persistence.metamodel.PluralAttribute<X,C,E>, AttributeImplementor<X,C>

    public abstract class PluralAttributeImpl<X,C,E>

extends AbstractAttribute<X,C>
implements javax.persistence.metamodel.PluralAttribute<X,C,E>, Serializable

Author:
  Emmanuel Bernard, Steve Ebersole
See Also:
  Serialized Form

Nested Class Summary
`static class` `PluralAttributeImpl.Builder<X,C,E,K>`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.PluralAttribute
`javax.persistence.metamodel.PluralAttribute.CollectionType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute
`javax.persistence.metamodel.Attribute.PersistentAttributeType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`javax.persistence.metamodel.Bindable.BindableType`

Method Summary

`static

`<X,C,E,K> PluralAttributeImpl.Builder<X,C,E,K>`

`

`create(AbstractManagedType<X> ownerType, javax.persistence.metamodel.Type<E> attrType, Class<C> collectionClass, javax.persistence.metamodel.Type<K> keyType)`

`Class<E>` `getBindableJavaType()`
`javax.persistence.metamodel.Bindable.BindableType` `getBindableType()`
`javax.persistence.metamodel.Type<E>` `getElementType()`
`boolean` `isAssociation()`
`boolean` `isCollection()`

Methods inherited from class org.hibernate.ejb.metamodel.AbstractAttribute
`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType, readObject, writeObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.PluralAttribute
`getCollectionType`

Methods inherited from interface javax.persistence.metamodel.Attribute
`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType`

Method Detail

### create

    public static <X,C,E,K> PluralAttributeImpl.Builder<X,C,E,K> create(AbstractManagedType<X> ownerType,
                                                                        javax.persistence.metamodel.Type<E> attrType,
                                                                        Class<C> collectionClass,
                                                                        javax.persistence.metamodel.Type<K> keyType)

### getElementType

    public javax.persistence.metamodel.Type<E> getElementType()

  Specified by:
    `getElementType` in interface `javax.persistence.metamodel.PluralAttribute<X,C,E>`

### isAssociation

    public boolean isAssociation()

  Specified by:
    `isAssociation` in interface `javax.persistence.metamodel.Attribute<X,C>`

### isCollection

    public boolean isCollection()

  Specified by:
    `isCollection` in interface `javax.persistence.metamodel.Attribute<X,C>`

### getBindableType

    public javax.persistence.metamodel.Bindable.BindableType getBindableType()

  Specified by:
    `getBindableType` in interface `javax.persistence.metamodel.Bindable<E>`

### getBindableJavaType

    public Class<E> getBindableJavaType()

  Specified by:
    `getBindableJavaType` in interface `javax.persistence.metamodel.Bindable<E>`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.